/**
 * Copyright 2023 Kapeta Inc.
 * SPDX-License-Identifier: MIT
 */
import * as React from 'react';
import { StackContextType } from './StackContext';
import './StackPage.less';
interface TabPageProps {
    id: string;
    title: string;
    children: any;
}
export declare class StackPage extends React.Component<TabPageProps, any> {
    static contextType: React.Context<import("./StackContext").StackContextData>;
    context: React.ContextType<StackContextType>;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): React.JSX.Element;
}
export {};
